/**
 * apeman react package for theme style components.
 * @constructor ApTheme
 */

"use strict";

import React, {PropTypes as types} from 'react';
import classnames from 'classnames';

/** @lends ApTheme */
let ApTheme = React.createClass({

    //--------------------
    // Specs
    //--------------------

    propTypes: {},

    mixins: [],

    statics: {},

    getInitialState() {
        return {};
    },

    getDefaultProps() {
        return {};
    },

    render() {
        let s = this,
            props = s.props;

        return (
            <div className={classnames('ap-theme', props.className)}
                 style={Object.assign({}, props.style)}>
                {props.children}
            </div>
        );
    }

});

module.exports = ApTheme;